/*external css/external styling
	inline - 100
	internal - 10
	external - 50

	specifity
		selectors
			- id
			- class
			- combinators
	Relative Lengths
		- are lengths that change relative to something:
			- % unit for percentage
			- em relative to the current font size
			- rem relative to the current font size on the html element
			- vw relative to the width of the viewport divided 100
			- vh relative to the heigth of the viewport divided 100
	Absolute Lengths
		- are lengths that do not change
			- px unit of pixels
			- in unit of inches
			- pt unit of points
*/
/* Universal Selector - allows us to select all of our elements*/

* {
	/*
		All Elements will now have a font style of Courier New and the default will be about 20px
		monospace is a fallback font. In the event aht the machine used to view your documents does not have the declared font, we will fallback to similar.

		font-family: changes the font style of text;
		font-size: changes the size of the text;
	 */
	font-family: "Garamond", monospace;
	font-size: 20px;
	/*CSS Reset*/
	margin: 0;
	padding: 0;
}

/*selectors - used to select elements by their tag name*/

body {
	background-color: cornsilk;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/*type selector allows to select all elements of the same type/tag*/
h1 {
	color: crimson; !important;
	text-align: center;
	font-size: 2rem;


	/*rem is a measurement which means num * the default size of the root element's font (16px) */
}

section	{
	height: 100vh;
	/*vh means viewport height meaning this measurement takes the percentage of the overall height of the screen you are viewing*/
	text-align: center;
	/*allow us to align our text horizontally*/
}

h2 {
	font-size: 1.5rem;
	color: tomato; !important;
}

h3 {
	color: sandybrown; !important;
}


/*id- selector it is given more priority than other selector*/
#rozueli-motto {
	letter-spacing: 5px;
}

/*class selector for elements of the same classes*/

/*attribute selector - allows us to select particular elements with the same attribute
	tagname[attribute]
		border-width: allows us to determine the thickness of an element's border;
		border-style: allows us to determine the stryle of the border;
		border-color: allows us to determine the color of an element's border;
*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
	/* we defined the width of our input to be at least 90% of the width of its parent element*/
}

/*Combinators*/

/*Adjacent Sibling Selector - allows to select a particular element that immediately follow a sibling elemet
selector + selector
	height and width properties will resize our element
	border-radius rounds out the corners of an element. The higher border-radius the more circular an element becomes. 
*/
#rozueli-motto + img {
	height: 150px;
	width: 150px;
	border-radius: 50px;
}

/*Descendant Selector - allows us to select elements that are the descendants of the first selector (ancestor)
ancestor descendant
	color property and other similar properties can also accept hex values. Hexadecimal values consist of # sign and the combination of 6 alphanumeric characters.
*/


/*General Sibling Selector - allows us to select siblngs that are after our previous sibling (first selector)
sibling ~ selected sibling
*/

/*h2 ~ a {
	text-decoration: none;
}*/

a {
	text-decoration: none;
}

/*register section*/

table, th, td {
	align: center; margin-left:  auto; margin-right: auto;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 300px;
	width: 25vw;
	/*position property changes the position of an element based on a certain criteria.
	position: relative - allows to move the position property to add a certain measurement to the left of the element.
	the value % is based on the measurement of the parent element.
	the parent element being the section tag which is a block element and occupies the full width of the page.

	in this the value of the left property is 37% from 100% of its parent element*/
	position: relative;
	left: 37.25%;
}

/* Child Selector allows to select a particular child of parent element.
parent > child
*/
section > form > label {
	color: rgb(0,0,128);
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
	padding: 3px;
	margin-top: 3px;
}



/*
	Mini-Activity
	Style our button with the following specifications:
		- the test of the button should while
		- the background color of the button has a hex value of #cf0053
		- it should have 0 border
		- it's border radius should be at least 15px
*/

